main()
{
	setCullFog (0, 4000, .32, .36, .40, 0);
	ambientPlay("ambient_mp_dawnville"); 
  
  maps\mp\_load::main();
  maps\mp\mp_uo_gunassault::layout_images();  
  maps\mp\mp_uo_ga_fx::main();  
  
  game["cnq_initialobjective"] = 0;  
  setcvar ("scr_hqradio", "6");  

	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();
	level thread maps\mp\_treefall_gmi::main();

	game["hud_allies_victory_image"] 	= "gfx/hud/hud@mp_victory_ga_us.dds";
	game["hud_axis_victory_image"] 		= "gfx/hud/hud@mp_victory_ga_g.dds";

	// ------------------------------------------- 
	// BASE ASSAULT SETUP
	
 	if(getCvar("scr_bas_basehealth") == "")  
	  setCvar("scr_bas_basehealth", "14000");  
  setCvar("scr_bas_basehealth", getCvarInt("scr_bas_basehealth"));

	setCvar("scr_bas_damagedhealth", getCvarInt("scr_bas_basehealth")/2);
	game["bas_allies_rubble"] = "xmodel/mp_bunker_italy_rubble";
	game["bas_allies_complete"] = "xmodel/mp_bunker_italy";
	game["bas_allies_damaged"] = "xmodel/mp_bunker_italy_predmg";
	game["bas_allies_destroyed"] = "xmodel/mp_bunker_italy_dmg";
	game["bas_axis_rubble"] = "xmodel/mp_bunker_italy_rubble";
	game["bas_axis_complete"] = "xmodel/mp_bunker_italy";
	game["bas_axis_damaged"] = "xmodel/mp_bunker_italy_predmg";
	game["bas_axis_destroyed"] = "xmodel/mp_bunker_italy_dmg";
	// ------------------------------------------- 

	maps\mp\_util_mp_gmi::base_swapper();       
	game["allies"] = "american";  
	game["axis"] = "german";  
	
	game["american_soldiertype"] = "airborne";  
	game["american_soldiervariation"] = "normal";  
	game["german_soldiertype"] = "fallschirmjagercamo";  
	game["german_soldiervariation"] = "normal";  
	
	game["compass_range"] = 6124; //How far the compass is zoomed in
	game["sec_type"] = "hold"; //What type of secondary objective

  
	game["attackers"] = "allies";  
  game["defenders"] = "axis";  
       
	move_bases();
	
	// FOR BUILDING PAK FILES ONLY
	if (getcvar("fs_copyfiles") == "1")	{
		precacheShader(game["ctf_layoutimage"]);
		precacheShader(game["bas_layoutimage"]);
		precacheShader(game["layoutimage"]);
		precacheShader(game["hud_allies_victory_image"]);
		precacheShader(game["hud_axis_victory_image"]);
	}
	  
} 


move_bases() {
	base_movers = []; 
	entitytypes = getentarray();
	for(i = 0; i < entitytypes.size; i++) {
		if(isdefined(entitytypes[i].groupname)) {
			if(entitytypes[i].groupname == "base_mover") { 
				entitytypes[i] moveto(entitytypes[i].origin+(0,0,256), 0.1,0,0); 
			}
		}
	}
}

layout_images() {
	game["bas_layoutimage"] = "mp_uo_gunassault_bas";
	game["ctf_layoutimage"] = "mp_uo_gunassault_ctf";
	game["cnq_layoutimage"] = "mp_uo_gunassault_cnq";
  game["layoutimage"] = "mp_uo_gunassault";
}